---
title: RegExp.rightContext ($')
slug: Web/JavaScript/Reference/Global_Objects/RegExp/rightContext
tags:
  - JavaScript
  - Non-standard
  - Property
  - Read-only
  - Reference
  - RegExp
  - Regular Expressions
---
<div>{{JSRef}} {{non-standard_header}}</div>

<p>The non-standard <strong>rightContext </strong>property is a static and read-only property of regular expressions that contains the substring following the most recent match. <code>RegExp.$'</code> is an alias for this property.</p>

<h2 id="Description">Description</h2>

<p>The <code>rightContext</code> property is static, it is not a property of an individual regular expression object. Instead, you always use it as <code>RegExp.rightContext</code> or <code>RegExp["$'"]</code>.</p>

<p>The value of the <code>rightContext</code> property is read-only and modified whenever a successful match is made.</p>

<p>You can not use the shorthand alias with the dot property accessor (<code>RegExp.$'</code>), because the parser expects a starting string in that case and a {{jsxref("SyntaxError")}} is thrown. Use the <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Property_Accessors">bracket notation for property access</a>.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_rightContext_and">Using rightContext and $'</h3>

<pre class="brush: js notranslate">var re = /hello/g;
re.test('hello world!');
RegExp.rightContext; // " world!"
RegExp["$'"];       // " world!"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Legacy RegExp features')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.RegExp.rightContext")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("RegExp.input", "RegExp.input ($_)")}}</li>
 <li>{{jsxref("RegExp.lastMatch", "RegExp.lastMatch ($&amp;)")}}</li>
 <li>{{jsxref("RegExp.lastParen", "RegExp.lastParen ($+)")}}</li>
 <li>{{jsxref("RegExp.leftContext", "RegExp.leftContext ($`)")}}</li>
 <li>{{jsxref("RegExp.n", "RegExp.$1-$9")}}</li>
</ul>
